summarylogtreecommitdiffstats
path: root/.SRCINFO
AgeCommit message (Collapse)Author
2020-07-19libselinux 3.1-1 updateNicolas Iooss
2020-03-03Add pkgconf to makedependsNicolas Iooss
SELinux userspace libraries and tools require pkg-config in order to build with code using PCRE or DBUS. pkgconf should be installed on build systems, as it belongs to group base-devel, but some users did not install this package and report issues such as https://aur.archlinux.org/packages/libselinux/#comment-731794 Make everyone happy by adding pkgconf to the makedepends array. This should not modify the build (as pkgconf was already supposed to be installed), so there is no need to bump the pkgrel.
2019-12-08libselinux 3.0-1 updateNicolas Iooss
2019-11-22libselinux 2.9-4 update: Python 3.8 rebuildNicolas Iooss
2019-08-24libselinux 2.9-3 updateNicolas Iooss
Fix a build issue reported in https://aur.archlinux.org/packages/libselinux/#comment-705409
2019-08-21libselinux 2.9-2 updateNicolas Iooss
Fixes: https://github.com/archlinuxhardened/selinux/issues/23
2019-03-16libselinux 2.9-1 updateNicolas Iooss
2018-05-26libselinux 2.8-1 updateNicolas Iooss
2017-08-11libselinux: fix package descriptionNicolas Iooss
A glitch has been introduced while upgrading the packages to 2.7.
2017-08-11libselinux 2.7-1 updateNicolas Iooss
2017-01-07libselinux: Python 3.6 rebuildNicolas Iooss
2016-11-20libselinux 2.6-1 updateNicolas Iooss
2016-08-16libselinux 2.5-3 updateNicolas Iooss
Backport fixes to make the Python wrapper works with SWIG 3.0.10
2016-08-16libselinux 2.5-2 updateNicolas Iooss
Backport fixes to make systemd 231 works on systems when SELinux is installed but disabled.
2016-02-27libselinux 2.5-1 updateNicolas Iooss
2015-02-22libselinux 2.4-1 updateNicolas Iooss
2014-12-31libselinux 2.3-3 updateNicolas Iooss
Following my post in selinux mailing list (http://marc.info/?l=selinux&m=141383575923190&w=2): * Improve ruby pkg-config patch to use the ruby version which is already computed in the Makefile. * No longer follow what Fedora does for packaging and choose to do something similar as what Gentoo and Debian provide. * Mark the libselinux.so symlink issue as fixed in the next yet-to-come release. Moreover, use /usr/bin as install directory instead of /usr/sbin and move pcre to the depends array to fix this namcap error: libselinux E: Dependency pcre detected and not included (libraries ['usr/lib/libpcre.so.1'] needed in files ['usr/lib/libselinux.so.1', 'usr/bin/sefcontext_compile'])
2014-09-16Update SELinux userspace tools and library upstreamNicolas Iooss
Upstream moved to github
2014-05-22libselinux 2.3-1 updateNicolas Iooss
2014-04-13libselinux: add armv6h architectureNicolas Iooss
2 users in https://aur.archlinux.org/packages/libselinux/ asked to add armv6h architecture, like what is done to seafile-server: https://aur.archlinux.org/packages/se/seafile-server/PKGBUILD
2014-04-13libselinux: update libselinux-rhat.patch sha256sumNicolas Iooss
2014-02-20libselinux: add swig as dependencyzezadas
2014-01-16libselinux 2.2.2-1 updateTimothée Ravier
2014-01-02Add conflicts and provides declarationsNicolas Iooss
This eases the upgrade from selinux- and selinux-usr- packages to new package names
2013-11-03General update: SELinux userspace & pkg renamingTimothée Ravier